package com.gyee.generation.service.auto;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.generation.model.auto.ProEconFaultLiminatedefects;
import com.gyee.generation.model.vo.FaultLiminatedefectsVo;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 故障消缺及时率 服务类
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
public interface IProEconFaultLiminatedefectsService extends IService<ProEconFaultLiminatedefects> {

    public List<FaultLiminatedefectsVo> queryFaultLiminatedefectsRangeList(Date beginDate, Date endDate, String wpId);

    public List<FaultLiminatedefectsVo> queryFaultLiminatedefectsList(Date recordDate, String wpId);

    public List<FaultLiminatedefectsVo> queryFaultLiminatedefectsProjectRangeList(Date beginDate, Date endDate, String pjId);

    public List<FaultLiminatedefectsVo> queryFaultLiminatedefectsProjectList(Date recordDate, String pjId);

    public List<FaultLiminatedefectsVo> queryFaultLiminatedefectsLineRangeList(Date beginDate, Date endDate, String lnId);

    public List<FaultLiminatedefectsVo> queryFaultLiminatedefectsLineList(Date recordDate, String lnId);

}
